# TODO remove themes from share
Name: libefltk
Version: 2.0.7
Release: alt2

Summary: eFLTK is stable, small and fast cross-platform GUI ToolKit

Group: System/Libraries
Url: http://ede.sf.net
License: GNU GPL

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://prdownloads.sf.net/ede/efltk-%version.tar.bz2
Patch: %name-%version.patch
Patch1: %name-%version-gcc43.patch

# Automatically added by buildreq on Sat Nov 29 2008
BuildRequires: gcc-c++ imake libGL-devel libMySQL-devel libXext-devel libXft-devel libjpeg-devel libpng-devel libunixODBC-devel rpm-build-java rpm-build-mono rpm-build-seamonkey xorg-cf-files xorg-sdk

%description
eFLTK is a cross-platform C++ GUI toolkit for UNIX/Linux (X11), Microsoft Windows,
and MacOS X. eFLTK provides modern GUI functionality without the bloat and supports
3D graphics via OpenGL and its built-in GLUT emulation. It is currently maintained by
a small group of developers across the world with a central repository on SourceForge.

%package devel
Summary: Header files and libraries for developing apps which will eFLTK
Group: Development/C
Requires: %name = %version

%description devel
The efltk-devel package contains the header files and libraries needed
to develop programs that use the eFLTK libraries.

%prep
%setup -q -n efltk
%patch
%patch1

%build
# Note, asm optimizations is disabled
%configure --with-x --enable-opengl --enable-utf8 --enable-xft \
	--enable-plugins --disable-static --disable-asm
%__subst "s|\$(libdir)/fltk|\$(libdir)/efltk|g" themes/Makefile
export LD_LIBRARY_PATH=$(pwd)/lib
%make_build

%install
mkdir -p %buildroot%_libdir
# due broken install to (libdir)
%makeinstall
#due strange mainstream (FIX linking!)
rm -f %buildroot%_libdir/*mysql*
rm -f %buildroot%_libdir/*odbc*
%find_lang efltk

%files -f efltk.lang
#%%_bindir/*
%_libdir/*.so.*
%_libdir/efltk/

%files devel
%doc doc/*
%_bindir/*
%_includedir/efltk/
%_libdir/*.so

%changelog
* Sat Nov 29 2008 Vitaly Lipatov <lav@altlinux.ru> 2.0.7-alt2
- cleanup spec, remove post/postun

* Wed Aug 06 2008 Vitaly Lipatov <lav@altlinux.ru> 2.0.7-alt1
- new version 2.0.7 (with rpmrb script)
- build with xft

* Sun Sep 03 2006 Vitaly Lipatov <lav@altlinux.ru> 2.0.6-alt0.1
- new version 2.0.6
- disable mysql/odbc connectors

* Thu Dec 08 2005 Vitaly Lipatov <lav@altlinux.ru> 2.0.5-alt1
- fix %_datadir/efltk owner
- fix postun script

* Sun Sep 11 2005 Vitaly Lipatov <lav@altlinux.ru> 2.0.5-alt0.1
- first build for ALT Linux Sisyphus
